#! /bin/bash
# -----------------------------------------------------------------------------
# f2cad: Convert Fortran to C++ AD Types: Copyright (C) 2005-10 Bradley M. Bell
# Authors:  Bradley M. Bell    bradbell at washington dot edu
# License:  GNU Public License Version 2 or higher
# -----------------------------------------------------------------------------
#
# replacement text for this commit
cat << EOF > commit.$$
This is a template file for making commits to the f2cad repository.

1. Lines containing a colon character are "file name" followed by a comment 
   for that file; for example,
   commit.sh: for this case 'commit.sh' is the only file to be modified.

2. Lines that have only white space after a colon only specify a file to 
   commit, with no special comment for that particular file.
EOF
# -----------------------------------------------------------------------
dir=`pwd | sed -e 's|.*/[fF]2c[aA][dD]/\([^/]*\).*|\1|'`
list=`sed -e '/:/! d' -e 's/:.*//' -e 's/^[ \t]*//' commit.$$`
msg=`sed -e 's|^[ \n\t]*||' -e '/:[ ]*$/d' -e 's|.*/\([^/]*:\)|\1|' commit.$$` 
msg="[f2cad/$dir] $msg"
rm commit.$$
echo "svn commit -m \""
echo "$msg"
echo "\" \\"
echo "$list"
read -p "is this ok [y/n] ?" response
if [ "$response" != "y" ]
then
	exit 1
fi
svn commit -m "$msg" $list
echo "mv commit.sh $HOME/trash/commit.sh"
mv commit.sh $HOME/trash/commit.sh
echo "svn revert commit.sh"
svn revert commit.sh
