#! /bin/bash -eu
# -----------------------------------------------------------------------------
# f2cad: Convert Fortran to C++ AD Types: Copyright (C) 2005-10 Bradley M. Bell
# Authors:  Bradley M. Bell    bradbell at washington dot edu
# License:  GNU Public License Version 2 or higher
# -----------------------------------------------------------------------------
F2C_DIR="$HOME/prefix/f2c"
# 
dir=`pwd | sed -e 's|.*/[fF]2c[aA][dD]/||'`
if [ "$dir" != "trunk" ]
then
	echo "copy_doc.sh: should only be run in the trunk."
	echo "For stable versions use ./run_omhelp.sh and commit changes in doc/*"
	exit 1
fi
#
if [ ! -e "f2cad.omh" ]
then
	echo "copy_doc.sh: must first create the file ./f2cad.omh; e.g.,"
	echo "	./build.sh configure"
	exit 1
fi
list="
     f2c.p
     cpp
     f.omh
     p.omh
     f2cad
"
for dir in $list
do
	if [ ! -d "$dir" ]
	then
		echo "copy_doc.sh: must frist create the directory $dir using"
		echo "	./build_sources.sh $F2C_DIR"
		exit 1
	fi
done
echo "./run_omhelp.sh"
if ! ./run_omhelp.sh
then
	echo "copy_doc.sh: ./run_omhelp.sh failed."
	exit 1
fi
#
echo "cd doc"
cd doc
#
if [ ! -e html ]
then
	echo "svn checkout \\"
	echo "	https://projects.coin-or.org/svn/CoinBazaar/html/f2cAD html"
	svn checkout https://projects.coin-or.org/svn/CoinBazaar/html/f2cAD html
else
	echo "svn update html"
	svn update html
fi
#
old_list=`ls html/* | sed -e 's|html/||'`
for file in $old_list
do
	if [ ! -e $file ]
	then
		echo "svn delete html/$file"
		svn delete html/$file
	fi
done
#
new_list=`ls * | sed -e 's|html:||'`
for file in $new_list
do
	if [ ! -e html/$file ]
	then
		echo "cp $file html/$file"
		cp $file html/$file
		#
		echo "svn add html/$file"
		svn add html/$file
	else
		echo "cp $file html/$file"
		cp $file html/$file
	fi
done
echo ""
echo "To see the differences use:"
echo "	svn diff doc/html"
echo "To commit the changes use:"
echo "	svn commit -m \"[html/f2cad] message\" doc/html"
echo "to commit the changes."
